﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SequenceScreencapper
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            destfolder.Text = Program.dir;
            freqbox.Text = Program.seconds.ToString();

            int dispcount = Screen.AllScreens.Count();

            displaybox.Items.Add("Default Display");
            displaybox.Items.Add("All Displays");

            for (int i = 0; i < dispcount; i++)
            {
                displaybox.Items.Add(Screen.AllScreens[i].DeviceName);
            }

            if (Program.display == -1)
                displaybox.SelectedIndex = 0;
            else if (Program.display == -2)
                displaybox.SelectedIndex = 1;
            else
                displaybox.SelectedIndex = Program.display + 2;
        }

        private void label3_Click(object sender, EventArgs e)
        {

        }

        private void button2_Click(object sender, EventArgs e)
        {
            if (displaybox.SelectedIndex == 0)
                Program.display = -1;
            else if (displaybox.SelectedIndex == 1)
                Program.display = -2;
            else
                Program.display = displaybox.SelectedIndex - 2;

            int freq;

            if (Int32.TryParse(freqbox.Text, out freq))
                Program.seconds = freq;

            if (System.IO.Directory.Exists(destfolder.Text))
                Program.dir = destfolder.Text;

            Program.format = (TargetFormat)this.formatbox.SelectedIndex;

            this.Close();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            folderBrowserDialog1.SelectedPath = Program.dir;

            if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
            {
                Program.dir = folderBrowserDialog1.SelectedPath;
                destfolder.Text = Program.dir;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Icon = Properties.Resources.Play;
            this.formatbox.SelectedIndex = (int)Program.format;
        }
    }
}
